# Copyright (C) Daniel Stenberg, <daniel@haxx.se>, et al.
#
# SPDX-License-Identifier: curl

name: configure-vs-cmake
on:
  push:
    branches:
      - master
    paths:
      - '*.ac'
      - '**/*.m4'
      - '**/CMakeLists.txt'
      - 'lib/curl_config.h.cmake'
      - 'scripts/cmp-config.pl'

  pull_request:
    branches:
      - master
    paths:
      - '*.ac'
      - '**/*.m4'
      - '**/CMakeLists.txt'
      - 'lib/curl_config.h.cmake'
      - 'scripts/cmp-config.pl'

permissions: {}

jobs:
  check:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@692973e3d937129bcbf40652eb9f2f61becf3332 # v4

      - name: run configure --with-openssl
        run: |
           autoreconf -fi
           ./configure --with-openssl --without-libpsl

      - name: run cmake
        run: |
           mkdir build && cd build && cmake ..

      - name: compare generated curl_config.h files
        run: ./scripts/cmp-config.pl lib/curl_config.h build/lib/curl_config.h
